<?php
  require_once "setup.php";
  $base = parse_url($repo->getURIPrefix());
  $basepath = $base["path"];
?>
<!DOCTYPE HTML>
<html>
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

    <link rel="stylesheet" href="css/core-style.css" type="text/css" media="screen" />

    
    <title>SALAMI SPARQL Endpoint</title>
  </head>

  <body>
    <div id="container">

      <div id="header">
	<h1>The SALAMI SPARQL Endpoint</h1>
      </div>

      <div id="navigation">
	<ul>	  
	  <li class="selected"><a href="#">Home</a></li>
	  <li><a href="sparql.php">SPARQL</a></li>
	  <li><a href="contact.php">Contact</a></li>
	</ul>
      </div>

      <div id="content-container">

	<div id="content">
	  
	  <form action="<?php echo htmlspecialchars($repo->getSparqlEndpoint()); ?>" method="post">
<input type="hidden" name="output" value="text"/>

	    <textarea name="query" cols="80" rows="18">
PREFIX rdf: <http://www.w3.org/1999/02/22-rdf-syntax-ns#>
PREFIX rdfs: <http://www.w3.org/2000/01/rdf-schema#>

SELECT * WHERE {
 ?s ?p ?o
} LIMIT 10
	    </textarea><br>

	    <em>Soft limit</em> <input type="text" name="soft-limit">
	    <input type="submit" value="Execute"><input type="reset">


   <select name="output">
     <option>xml</option>
     <option>json</option>
     <option>text</option>
   </select>

	  </form>


		<p>The <code>Accept</code> header you send is taken into account. 
		Various types of RDF are available, plus an HTML representation and 
		potentially the audio data (use <code>audio/*</code> to accept any 
		format of audio).</p>
		<?php if ($repo->getSparqlEndpoint()) { ?>
			<p>A Sparql endpoint is available at
			<code><?php echo htmlspecialchars($repo->getSparqlEndpoint()); ?></code>.</p>
		<?php } ?>
	</body>
</html>
